<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="chrome=1">
    <title>de Polavieja lab webpage</title>

    <link rel="stylesheet" href="stylesheets/styles.css">
    <link rel="stylesheet" href="stylesheets/pygment_trac.css">
    <meta name="viewport" content="width=device-width">
    <!--[if lt IE 9]>
    <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
  </head>
  <body>
    <div class="wrapper">
      <header>
        <h1>Research interests</h1>
        <p> We think about how to model a system from data. We care about learning from data, abstraction and knowledge extraction. <p>
        <p> We develop new mathematical formalisms, adapt existing ones, and apply them to exciting problems like collective behavior and processing in biological circuits. 
        <p> Keywords: Model Theory, Abstract Algebra, Reinforcement Learning, Deep Learning, abstraction, collective behavior, Neuroscience, zebrafish, biological circuits, dolphin communication </p>
        <ul>
          <li><a href="http://neuro.fchampalimaud.org/en/careers/position/231/"><strong>OPEN positions</strong></a></li>
          <li><a href="http://neuro.fchampalimaud.org/en/research/"> <strong>RESEARCH Institute</strong></a></li>
          <li><a href="http://neuro.fchampalimaud.org/en/contact-us/"> <strong> MAP in Lisbon</strong></a></li>
        </ul>
        <p> </p>
        <p> </p>
        <h1>News</h1>
        <p> Awarded FCT grant apply AI methods to predict and understand behavior (2021-2024). Postdoc position <a href="https://euraxess.ec.europa.eu/jobs/653242/"> here </a>  </p>
        <p> Awarded H2020 <a href="https://cordis.europa.eu/project/id/952091"> ALMA </a> to continue developing algebraic AI (2020-2024) </p>
        <p> Awarded H2020 <a href="https://www.findingpheno.eu/"> FindingPheno  </a> to apply ML to  multi-omics data (2021-2024) </p>
        <p> Helping <a href="https://crowdfightcovid19.org/contact/"> CrowdFight COVID-19 </a> </p>
        <p> 5 days lectures at <a href="https://wp.bcamath.org/news/en/2020/02/13/the-5th-eaca-international-school-on-computer-algebra-and-its-applications-will-take-place-at-bcam-in-the-end-of-february/""> EACA School of Computer Algebra </a> </p>


      </header>
      <section>
        <h1>Latest results</h1>
        <dl>
          <dt> For the last few yearss, we have concentrated mainly on collective behavior and on new approaches to learning from data. </dt>
          <dd>         </dd> <br>
          <dt> In collective behavior, we develop tracking systems, analysis tools and models that are both predictive and insightful about how agents interact.  </dt>
          <dd>         </dd> <br>
          <dt> Romero-Ferrero F, Bergomi MG, Hinz RC, Heras FJ, de Polavieja GG. idtracker. ai: tracking all individuals in small or large collectives of unmarked animals. Nature Methods. 2019 Feb;16(2):179-82.</dt>
          <dt>[<a href="https://www.nature.com/articles/s41592-018-0295-5"> journal </a>] [<a href="https://drive.google.com/file/d/1fYBcmH6PPlwy0AQcr4D0iS2Qd-r7xU9n/view"> pdf </a>] [<a href="https://idtrackerai.readthedocs.io/en/latest/"> web </a>] [<a href="https://gitlab.com/polavieja_lab/idtrackerai"> gitlab </a>]</dt>
          <dd> Building on our idea of tracking by identification, see <a href="http://www.idtracker.es/"> idTracker</a>, here we propose to do the identification using deep nets to scale better with the number of animals. One network self-learns from a video which image blobs are individuals and which crossings. A second network self-learns to distinguish each individual. It is a general purpose open source system of lab animal behavior in any species.  </dd> <br>
          <dt> Heras FJ, Romero-Ferrero F, Hinz RC, de Polavieja GG. Deep attention networks reveal the rules of collective motion in zebrafish. PLoS computational biology. 2019 Sep 13;15(9):e1007354.</dt>
          <dt>[<a href="https://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1007354"> journal </a>] [<a href="https://www.biorxiv.org/content/10.1101/400747v2"> biorxiv </a>] [<a href="https://gitlab.com/polavieja_lab/fishandra"> gitlab </a>]</dt>
          <dd> We use the power of deep nets to have a predictive model of collective behavior but avoid their black-box nature using a concrete modular structure that makes the model understandable. This structure implies the modelling assumption that interactions among agents are in pairs and the decision is based on a weighted mean of these pair interactions. We checked that, when applied to artificial data obtained of agents moving according to some mathematical rules, the method recovers the underlying rules. When applied to data of fish collective behavior obtained with idtracker.ai, we learn that each fish dynamically focuses on different subgroups of other fish depending not only on where they are but also on what direction and speed they have. The focusing on very few animals (down to one) was predicted in our Bayesian framework, [<a href="https://journals.plos.org/ploscompbiol/article?id=10.1371/journal.pcbi.1002282"> A. Perez-Escudero and G.G. de Polavieja, PLOS Comp Biol (2011)  </a>], and for more on the Bayesian approach see [<a href="https://www.pnas.org/content/109/50/20508.abstract"> S. Arganda, A. Perez-Escudero and G.G. de Polavieja, PNAS (2012)  </a>]. 
           </dd> <br>
          <dt> Costa T, Laan A, Heras FJH, de Polavieja GG. Automated discovery of local rules for desired collective-level behavior through reinforcement learning. Fundamentals and Applications of AI: An Interdisciplinary Perspective, Front. Phys. 8: 200. doi: 10.3389/fphy, 2020.</dt>
          <dt>[<a href="https://www.frontiersin.org/articles/10.3389/fphy.2020.00200/full"> journal </a>] [<a href="https://gitlab.com/polavieja_lab/rl_collective_behaviour"> gitlab </a>] [<a href="https://www.youtube.com/channel/UC9Cq09yQyE5X6L_Nu4_EJRA"> videos </a>] </dt>
          <dd> We set out to obtain animal interactions that can explain beautiful global structures of collective behavior seen in Nature like rotating balls, rotating tornadoes and rotating mills. We model each individual with a minimal cognitive apparatus (with or without a simple model of the retina) and moving in a medium of modelled Physics. Reinforcement Learning is used to find the sensorimotor transformations that results in the observed 3D structure.  We found they are strikingly similar to the ones we see in the lab, with differences mainly in the z-direction to explain the different 3D structures. </dd><br>

<dt> We are also developing an approach to learning from data that is transparent by mathematical design. </dt>
          <dd>         </dd> <br>

<dt> Martin-Maroto F, de Polavieja GG. Algebraic Machine Learning. </dt>
          <dt>[<a href="https://arxiv.org/abs/1803.05252"> ArXiv </a>]  </dt>
          <dd> We propose an approach to learning using Abtract Algebra and Model Theory (and not any optimization) that treats data and formal knowledge in the same manner. All requirements of the system are written as sentences in a formal language and a model in which the sentences are valid is then found. Out of the possible models, we find one (the freest atomized model) that has properties of learning systems and its subsets are generalizing models. This formalization helps in building theorems to show in detail how these systems learn.  </dd> <br>

<dt> Martin-Maroto F, de Polavieja GG. Finite Atomized Semilattices. </dt>
          <dt>[<a href="https://arxiv.org/abs/2102.08050"> ArXiv </a>]  </dt>
          <dd> We give a set of theorems to study algebraic machine learning.  </dd> <br>

<dt>  See <a href="https://algebraic.ai/"> Algebraic AI </a> for our spin-off company for the algebraic approach to learning. </dt>

           </dl>
      <h1>People</h1>
      
      <p>Gonzalo G. de Polavieja (PI), 
      <a href="mailto:gonzalo.polavieja@neuro.fchampalimaud.org"> gonzalo.polavieja@neuro.fchampalimaud.org </a> <br>
        [<a href="https://scholar.google.com/citations?user=HukvKyYAAAAJ&amphl=en"> scholar </a>]
        [<a href="https://orcid.org/0000-0001-5359-3426"> ORCID CV </a>]
        [<a href="http://neuro.fchampalimaud.org/en/research/investigators/research-groups/group/de%20Polavieja/"> Faculty web </a>]
        [<a href="https://twitter.com/dePolavieja"> twitter </a>] </p>

      <p>Fernando Martin-Maroto (Senior Researcher),
        <a href="mailto:fernando.martinmaroto@neuro.fchampalimaud.org "> fernando.martinmaroto@neuro.fchampalimaud.org  </a> <br>
        [<a href="http://neuro.fchampalimaud.org/en/research/investigators/research-groups/group/de%20Polavieja/"> Faculty web </a>]
        [<a href="https://twitter.com/AlgebraicAi"> twitter </a>] </p>

      <p>Francisco J. H. Heras (postdoc),
      <a href="mailto:francisco.heras@neuro.fchampalimaud.org"> francisco.heras@neuro.fchampalimaud.org </a> <br>
        [<a href="https://scholar.google.com/citations?user=08aY8rcAAAAJ"> scholar </a>]
        [<a href="https://orcid.org/0000-0001-8124-2359"> ORCID CV </a>]
        [<a href="http://neuro.fchampalimaud.org/en/person/417/"> Faculty web </a>]
        [<a href="https://twitter.com/fjhheras"> twitter </a>] </p>

        <p> David Mendez (postdoc),
      <a href="mailto:david.mendez@research.fchampalimaud.org"> david.mendez@research.fchampalimaud.org </a> <br>
        [<a href="https://scholar.google.com/citations?user=tS-IaGcAAAAJ"> scholar </a>]
        [<a href="https://orcid.org/0000-0003-4023-172X"> ORCID CV </a>]
        [<a href="https://twitter.com/davmendmar"> twitter </a>] </p>

    <p>Francisco Romero-Ferrero (postdoc),
    <a href="mailto:francisco.romero@neuro.fchampalimaud.org"> francisco.romero@neuro.fchampalimaud.org </a> <br>
        [<a href="https://scholar.google.es/citations?user=PtgVx9kAAAAJ&hl=en&authuser=1"> scholar </a>]
        [<a href="https://orcid.org/0000-0002-4353-7997"> ORCID CV </a>]
        [<a href="http://neuro.fchampalimaud.org/en/person/277/"> Faculty web </a>]
        [<a href="https://twitter.com/PacoRoFe"> twitter </a>] </p>
    
    <p> Panos Firbas Nisantzis(postdoc),
        <a href="mailto:panos.firbas@research.fchampalimaud.org"> panos.firbas@research.fchampalimaud.org </a> <br>
        [<a href="https://scholar.google.com/citations?user=n1aKU0wAAAAJ&hl=en&oi=ao"> scholar </a>]
        [<a href="https://orcid.org/0000-0001-8748-2978"> ORCID CV </a>]
        <!-- [<a href="https://twitter.com/davmendmar"> twitter </a>]  -->
    </p>

    
    <p>Dean Rance (PhD student),
    <a href="mailto:dean.rance@research.fchampalimaud.org"> dean.rance@research.fchampalimaud.org </a> <br>
        [<a href="https://twitter.com/Dean_Of_Science"> twitter </a>] </p>
    
    <p> Tiago Costa (PhD student),
      <a href="mailto:tiago.costa@neuro.fchampalimaud.org"> tiago.costa@neuro.fchampalimaud.org </a> <br>
        [<a href="https://scholar.google.com/citations?hl=pt-PT&user=102cwboAAAAJ"> scholar </a>]
        [<a href="https://orcid.org/0000-0002-8538-1345"> ORCID CV </a>]
        [<a href="http://neuro.fchampalimaud.org/en/person/502/"> Faculty web </a>]

        <h2>Useful internal contacts</h2>

        <p> Lab manager (ordering): Telma Carrilho,
        <a href="mailto:telma.carrilho@research.fchampalimaud.org"> telma.carrilho@research.fchampalimaud.org </a> <br>

        <p> Human Resources (contract, card, e-mail address): Teresa Carona,
        <a href="mailto:teresa.carona@neuro.fchampalimaud.org"> teresa.carona@neuro.fchampalimaud.org  </a> <br>

        <p> Pre-award (grant and fellowship applications): Andreia Tavares,
        <a href="mailto:andreia.tavares@research.fchampalimaud.org"> andreia.tavares@research.fchampalimaud.org   </a> <br>

        <p> Post-award (management of awarded grants): Vanda Vicente,
        <a href="mailto:vanda.vicente@fundacaochampalimaud.pt"> vanda.vicente@fundacaochampalimaud.pt   </a> <br>

        <p> Operations Manager (general): Catia Feliciano,
        <a href="mailto:catia.feliciano@neuro.fchampalimaud.org"> catia.feliciano@neuro.fchampalimaud.org   </a> <br>

        <br>
    <section>
  </body>
</html>
